Bug 469235 - System Settings are not rendered with open KDE su dialog
System Settings are not rendered with open KDE su dialog
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 14:08 EDT by Sandro Mathys
Modified: 2008-11-05 23:04 EST (History)
8 users (show)

See Also:
Fixed In Version: 4.1.2-8.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-02 14:00:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sandro Mathys 2008-10-30 14:08:14 EDT
Description of problem:
If I start the "Login Manager" from the "System Settings", I get that "KDE su" dialog to authenticate as root. While that dialog is open, the system settings windows is no longer rendered (i.e. just shows some white and grey, no icons, buttons, text, ...). Rendering works again after KDE su is closed (doesn't matter in what way). 

Version-Release number of selected component (if applicable):
- Fedora 10 S3 (installed from KDE LiveCD-ISO on USB-key), updated to latest
rawhide
- kdebase-4.1.2-5.fc10.i386
- kdebase-libs-4.1.2-5.fc10.i386
- kde-settings-4.1-2.fc10.noarch


How reproducible:
Always.

Steps to Reproduce:
1. Start the "Login Manager" from the "System Settings".
2. Leave "KDE su" open
3. Bring another (maximized) window to the foreground.
4. Bring the "System Settings" to the foreground.
  
Actual results:
Doesn't render anymore in the meantime.

Expected results:
Renders as usual.

Additional info:
Comment 1 Kevin Kofler 2008-10-30 18:36:37 EDT
There's this in kdebase-workspace-4.0.72-rootprivs.patch:
+        QProcess::execute( kdesu, args );

I think changing it to:
+        QProcess::startDetached( kdesu, args );
will fix this.
Comment 2 Ngo Than 2008-10-31 09:49:59 EDT
it's fixed in 4.1.2-8.
Comment 3 Kevin Kofler 2008-10-31 14:31:12 EDT
Please only close stuff RAWHIDE once it's actually tagged f10-final.
Comment 4 Kevin Kofler 2008-11-02 14:00:42 EST
kdebase-workspace-4.1.2-10.fc10 tagged f10-final.
Comment 5 Fedora Update System 2008-11-02 14:40:47 EST
kdebase-workspace-4.1.2-10.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/kdebase-workspace-4.1.2-10.fc9
Comment 6 Fedora Update System 2008-11-05 23:04:13 EST
kdebase-workspace-4.1.2-10.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.